### Method

# FwupdPlugin Plugin add_report_metadata

since: 1.0.4

#### Declaration [src]

    void
    fu_plugin_add_report_metadata (
      FuPlugin* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Sets any additional metadata to be included in the firmware report to aid debugging problems.

Any data included here will be sent to the metadata server after user confirmation.

Available since: 1.0.4

#### Parameters

`key`

  Type: `const gchar*`

  A string, e.g. `FwupdateVersion`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A string, e.g. `10`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.